## lcgdm 1.8.6

=== debian/changelog ===
lcgdm (1.8.6-4) unstable; urgency=low

  * Fix segfaults - issues found by Mayhem Team, Carnegie Mellon University

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Jun 2013 22:31:26 +0200

lcgdm (1.8.6-3) unstable; urgency=low

  * Fix alternatives and readmes for changes in file install locations
    (Closes: #705991)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Apr 2013 16:41:07 +0200

lcgdm (1.8.6-2) unstable; urgency=low

  * Portability fix for kfreebsd kernel

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 21 Apr 2013 06:51:23 +0200

lcgdm (1.8.6-1) unstable; urgency=low

  * Update to version 1.8.6 (Closes: #702895)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 16 Mar 2013 07:31:43 +0100

=== debian/control ===
Source: lcgdm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev, pkg-config
XS-Python-Version: current
Standards-Version: 3.9.4
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
Homepage: http://glite.web.cern.ch/glite/

Package: liblcgdm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LHC Computing Grid Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: liblfc1
Section: libs
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) libraries
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: lfc
Section: net
Architecture: any
Provides: lfc-client
Replaces: lfc-client (<< 1.8.1.2-2~)
Conflicts: lfc-client (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-server-mysql
Section: net
Architecture: any
Provides: lfc-mysql
Replaces: lfc-mysql (<< 1.8.1.2-2~)
Conflicts: lfc-mysql (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-server-postgres
Section: net
Architecture: any
Provides: lfc-postgres
Replaces: lfc-postgres (<< 1.8.1.2-2~)
Conflicts: lfc-postgres (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: LCG File Catalog (LFC) server with postgres database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses postgres as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

Package: libdpm1
Section: libs
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) libraries
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm
Section: net
Architecture: any
Provides: dpm-client
Replaces: dpm-client (<< 1.8.1.2-2~)
Conflicts: dpm-client (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql
Replaces: dpm-mysql (<< 1.8.1.2-2~)
Conflicts: dpm-mysql (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres
Replaces: dpm-postgres (<< 1.8.1.2-2~)
Conflicts: dpm-postgres (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-name-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-nameserver
Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-name-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-nameserver
Replaces: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-copy-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-copyd
Replaces: dpm-mysql-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-copy-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-copyd
Replaces: dpm-postgres-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-srm-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-srmv1, dpm-mysql-srmv2, dpm-mysql-srmv22
Replaces: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM SRM server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM server that uses MySQL as its
 database backend.

Package: dpm-srm-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-srmv1, dpm-postgres-srmv2, dpm-postgres-srmv22

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

VERSION=1.8.2

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	chmod 644 security/globus_gsi_gss_constants.h \
		  security/globus_i_gsi_credential.h \
		  security/gssapi_openssl.h
	chmod 644 doc/lfc/INSTALL-*

	# LFC with mysql backend

	mkdir lfc-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-mysql/config/linux.cf

	cd lfc-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-mysql \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-mysql/config/site.def

	cd lfc-mysql && \
	make -f Makefile.ini Makefiles

	# LFC with postgres backend

	mkdir lfc-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test lfc-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i lfc-postgres/config/linux.cf

	cd lfc-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure lfc --with-postgres \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/NSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i lfc-postgres/config/site.def

	sed -e 's/\(BuildDLI	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -i lfc-postgres/config/site.def
	sed '/^\#define.*YES/d' -i lfc-postgres/config/Project.tmpl \
				   lfc-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i lfc-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i lfc-postgres/h/Imakefile

	cd lfc-postgres && \
	make -f Makefile.ini Makefiles

	# DPM with mysql backend

	mkdir dpm-mysql
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-mysql

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-mysql/config/linux.cf

	cd dpm-mysql && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-mysql \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-mysql/config/site.def

	sed -e '/^SECURITYDIR =/d' \
	    -e '/^COMMONDIR =/d' -i dpm-mysql/config/Project.tmpl
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/lib/Imakefile
	sed -e 's/:.*(lcgdm).*/:/' -i dpm-mysql/shlib/Imakefile

	cd dpm-mysql && \
	make -f Makefile.ini Makefiles

	# DPM with postgres backend

	mkdir dpm-postgres
	cp -pr Imakefile Makefile.ini config configure VERSION scripts \
	    h lib shlib common ns rfio dpm \
	    srmv1 srmv2 srmv2.2 security dli dicomcopy dpmcopy \
	    test dpm-postgres

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
	    -i dpm-postgres/config/linux.cf

	cd dpm-postgres && \
	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=lib \
		--with-gsoap-version=$$gsoapversion \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-etc-dir='$$(prefix)/../etc' \
		--with-sysconf-dir=EtcDir/default \
		--with-initrc-dir=EtcDir/init.d \
		--with-emi \
		--without-argus

	sed 's!$$(prefix)/var!$$(prefix)/../var!' -i dpm-postgres/config/site.def

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' \
	    -i dpm-postgres/config/site.def
	sed '/^\#define.*YES/d' -i dpm-postgres/config/Project.tmpl \
				-i dpm-postgres/config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i dpm-postgres/config/Project.tmpl
	sed 's/\(install:\).*/\1/' -i dpm-postgres/h/Imakefile

	cd dpm-postgres && \
	make -f Makefile.ini Makefiles

	touch $@

build: build-indep build-arch
	:

build-indep: build-stamp
	:

build-arch: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	cd lfc-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd lfc-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblfc.so* .

	cd lfc-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	cd dpm-mysql/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .

	cd dpm-mysql && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"

	cd dpm-postgres/shlib && ln -s ../../lfc-mysql/shlib/liblcgdm.so* .
	cd dpm-postgres/shlib && ln -s ../../dpm-mysql/shlib/libdpm.so* .

	cd dpm-postgres && \
	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
		SYSCONFDIR=$(_sysconfdir) \
		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
		POSINC=-I/usr/include/postgresql

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -rf lfc-mysql
	rm -rf lfc-postgres
	rm -rf dpm-mysql
	rm -rf dpm-postgres

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	mkdir -p debian/liblcgdm-dev$(_docdir)
	ln -s liblcgdm1 debian/liblcgdm-dev$(_docdir)/liblgcdm-dev
	mkdir -p debian/liblfc-dev$(_docdir)
	ln -s liblfc1 debian/liblfc-dev$(_docdir)/liblfc-dev
	mkdir -p debian/libdpm-dev$(_docdir)
	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
	dh_prep

## lcgdm 1.8.7

=== rpm/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

OS=$(shell ../scripts/get-platform-os)

define emibuildrequires
BuildRequires:  globus-gssapi-gsi-devel%{?_isa}\n
BuildRequires:  globus-gss-assist-devel%{?_isa}\n
BuildRequires:  globus-gsi-credential-devel%{?_isa}\n
BuildRequires:  globus-gsi-callback-devel%{?_isa}\n
BuildRequires:  globus-gass-copy-devel%{?_isa}\n
BuildRequires:  globus-ftp-client-devel%{?_isa}\n
BuildRequires:  globus-common-devel%{?_isa}\n
BuildRequires:  voms-devel%{?_isa}\n
BuildRequires:  gsoap-devel%{?_isa}\n
BuildRequires:  CGSI-gSOAP-devel%{?_isa} >= 1.3.4.0\n
BuildRequires:  CGSI_gSOAP_2.7-voms%{?_isa}\n
BuildRequires:  mysql-devel%{?_isa}\n
BuildRequires:  argus-pep-api-c-devel%{?_isa}\n
BuildRequires:  swig%{?_isa}\n
BuildRequires:  python-devel%{?_isa}\n
endef

define glitebuildrequires
endef

ifndef BUILDREQUIRES
BUILDREQUIRES=$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "$(emibuildrequires)"; else echo "$(glitebuildrequires)"; fi;)
endif

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=$(RC)sec.$(OS)
endif

ifndef PREFIX
PREFIX =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "/usr" ; else echo "/opt/lcg"; fi;)
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

LIBDIR='lib'
ifeq ($(shell uname -m),x86_64)
    LIBDIR='lib64'
endif
ifeq ($(PERLDIR),)
PERLDIR =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then perl -MConfig -e 'print $$Config{vendorarchexp}'; else echo "$(PREFIX)/$(LIBDIR)/perl"; fi;)
endif

REQUIRES.VOMS =$(shell if (echo "$(EXTRA_CONFIGURE_OPTIONS)" | egrep -e "--with-emi" > /dev/null 2>&1); then echo "voms" ; else echo "glite-security-voms-api-cpp"; fi;)

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

#all: rpm-lcg-dm-common rpm-LFC-mysql rpm-DPM-mysql rpm-DPM-dicom-mysql
all: client
ifneq ($(PROC_INIT),)
all: rpm-LFC-oracle rpm-DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

install: install-lcg-dm-common install-LFC-mysql install-DPM-mysql

client: rpm-lcg-dm-common rpm-LFC-client rpm-DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

client-install: install-lcg-dm-common install-LFC-client install-DPM-client

py25: rpm-LFC-py25 rpm-DPM-py25
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

py26: rpm-LFC-py26 rpm-DPM-py26
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name .svn -print0 | xargs -0 rm -rf ; \
	tar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-rpm: source
	mkdir -p build-rpm
	mkdir -p build-rpm/BUILD
	mkdir -p build-rpm/RPMS
	mkdir -p build-rpm/SRPMS
	mkdir -p build-rpm/SOURCES
	mkdir -p build-rpm/SPECS
	cp $(SOURCE_TAR) build-rpm/SOURCES
	for spec in *.spec; do \
		sed -e 's/@VERSION@/$(VERSION)/g;' \
			-e 's/@RELEASE@/$(RELEASE)/g;' \
			-e 's/@SECURITY@/$(RELEASE_SUFFIX)/g;' \
			-e 's#@PREFIX@#$(PREFIX)#g;' \
			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
			-e 's/@REQUIRES.VOMS@/$(REQUIRES.VOMS)/g;' \
			-e 's,@PERLDIR@,$(PERLDIR),g;' \
			-e 's/BuildRequires: @BUILDREQUIRES@/$(BUILDREQUIRES)/g;' \
			-e 's#$${EXTRA_CONFIGURE_OPTIONS}#$(EXTRA_CONFIGURE_OPTIONS)#;' \
			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
	done

###############################################################################
# common
###############################################################################

BUILD_COMMON=build-rpm/BUILD/lcg-dm-common-$(VERSION)

rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec

install-lcg-dm-common: $(BUILD_COMMON)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_COMMON); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC client
###############################################################################

BUILD_LFC_CLIENT=build-rpm/BUILD/LFC-client-$(VERSION)

rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec

install-LFC-client: $(BUILD_LFC_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM client
###############################################################################

BUILD_DPM_CLIENT=build-rpm/BUILD/DPM-client-$(VERSION)

rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec

install-DPM-client: $(BUILD_DPM_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC MySQL
###############################################################################

BUILD_LFC_MYSQL=build-rpm/BUILD/LFC-mysql-$(VERSION)

rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec

install-LFC-mysql: $(BUILD_LFC_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM MySQL
###############################################################################

BUILD_DPM_MYSQL=build-rpm/BUILD/DPM-mysql-$(VERSION)

rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec

install-DPM-mysql: $(BUILD_DPM_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM-DICOM MySQL
###############################################################################

rpm-DPM-dicom-mysql: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec

###############################################################################
# LFC Oracle
###############################################################################

rpm-LFC-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec

###############################################################################
# DPM Oracle
###############################################################################

rpm-DPM-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec

###############################################################################
# LFC PostgreSQL
###############################################################################

rpm-LFC-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec

###############################################################################
# DPM PostgreSQL
###############################################################################

rpm-DPM-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec

###############################################################################
# LFC Python 2.5
###############################################################################

rpm-LFC-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py25.spec

###############################################################################
# LFC Python 2.6
###############################################################################

rpm-LFC-py26: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py26.spec

###############################################################################
# DPM Python 2.5
###############################################################################

rpm-DPM-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py25.spec

###############################################################################
# DPM Python 2.6
###############################################################################

rpm-DPM-py26: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py26.spec

clean:
	-rm -rf ../RPMS build-rpm $(SOURCE_TAR)

=== debian/changelog ===
lcgdm (1.8.7-3) unstable; urgency=medium

  * Add MariaDB as alternative dependency (Closes: #732882, #732893)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Jan 2014 10:34:44 +0100

lcgdm (1.8.7-2) unstable; urgency=low

  * Adapt to multi-arch Globus installation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 01 Dec 2013 06:34:01 +0100

lcgdm (1.8.7-1) unstable; urgency=low

  * Update to version 1.8.7

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 12 Aug 2013 10:51:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev, pkg-config
 XS-Python-Version: current
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
@@ -80,7 +80,7 @@
 Provides: lfc-mysql
 Replaces: lfc-mysql (<< 1.8.1.2-2~)
 Conflicts: lfc-mysql (<< 1.8.1.2-2~)
-Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
+Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mariadb-client | mysql-client
 Description: LCG File Catalog (LFC) server with MySQL database backend
  The LCG File Catalog (LFC) keeps track of the locations of the physical
  replicas of the logical files in a distributed storage system.
@@ -170,7 +170,7 @@
 Provides: dpm-mysql
 Replaces: dpm-mysql (<< 1.8.1.2-2~)
 Conflicts: dpm-mysql (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mariadb-client | mysql-client
 Description: Disk Pool Manager (DPM) server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -184,7 +184,7 @@
 Provides: dpm-postgres
 Replaces: dpm-postgres (<< 1.8.1.2-2~)
 Conflicts: dpm-postgres (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
 Description: Disk Pool Manager (DPM) server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -198,7 +198,7 @@
 Provides: dpm-mysql-nameserver
 Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
 Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mariadb-client | mysql-client
 Description: DPM nameserver server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -265,4 +265,3 @@
 Package: dpm-srm-server-postgres
 Section: net
 Architecture: any
-Provides: dpm-postgres-srmv1, dpm-postgres-srmv2, dpm-postgres-srmv22

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -17,7 +19,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.2
+VERSION=1.8.7
 
 configure: configure-stamp
 	:
@@ -44,6 +46,9 @@
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i lfc-mysql/config/linux.cf
 
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i lfc-mysql/common/Imakefile
+
 	cd lfc-mysql && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure lfc --with-mysql \
@@ -75,6 +80,9 @@
 	# CFLAGS doesn't try to use them.
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i lfc-postgres/config/linux.cf
+
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i lfc-postgres/common/Imakefile
 
 	cd lfc-postgres && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
@@ -118,6 +126,9 @@
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i dpm-mysql/config/linux.cf
 
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i dpm-mysql/common/Imakefile
+
 	cd dpm-mysql && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure dpm --with-mysql \
@@ -155,6 +166,9 @@
 	# CFLAGS doesn't try to use them.
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i dpm-postgres/config/linux.cf
+
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i dpm-postgres/common/Imakefile
 
 	cd dpm-postgres && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
@@ -203,6 +217,7 @@
 
 	cd lfc-mysql && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		SYSCONFDIR=$(_sysconfdir) \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"
@@ -212,6 +227,7 @@
 
 	cd lfc-postgres && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		SYSCONFDIR=$(_sysconfdir) \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
@@ -221,6 +237,7 @@
 
 	cd dpm-mysql && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		SYSCONFDIR=$(_sysconfdir) \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"
@@ -230,34 +247,6 @@
 
 	cd dpm-postgres && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
-		SYSCONFDIR=$(_sysconfdir) \
-		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
-		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
-		POSINC=-I/usr/include/postgresql
-
-	touch $@
-
-clean:
-	dh_testdir
-	dh_testroot
-
-	rm -rf lfc-mysql
-	rm -rf lfc-postgres
-	rm -rf dpm-mysql
-	rm -rf dpm-postgres
-
-	rm -f build-stamp configure-stamp
-
-	dh_clean
-
-install: build-stamp
-	dh_testdir
-	dh_testroot
-	mkdir -p debian/liblcgdm-dev$(_docdir)
-	ln -s liblcgdm1 debian/liblcgdm-dev$(_docdir)/liblgcdm-dev
-	mkdir -p debian/liblfc-dev$(_docdir)
-	ln -s liblfc1 debian/liblfc-dev$(_docdir)/liblfc-dev
-	mkdir -p debian/libdpm-dev$(_docdir)
-	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
-	dh_prep
-
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
+		SYSCONFDIR=$(_sysconfdir) \
+		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \

## lcgdm 1.8.9

=== scripts/CheckMigrationScript/src/Makefile ===
CC=g++

CHECK_UPGRADE_HOME=/afs/cern.ch/user/l/labadie/LCG-DM/scripts/CheckMigrationScript

IDIR=$(CHECK_UPGRADE_HOME)/include

MYSQL_HOME=/usr/include/mysql

INCL=-I$(IDIR) -I$(MYSQL_HOME)

SOURCE_FILE=$(CHECK_UPGRADE_HOME)/src

OUTDIR=$(CHECK_UPGRADE_HOME)/output

MYSQL_LIBS=/usr/lib

RANLIB = ranlib

SO_EXT=.so

MKLINK= ln -s



ICLIBPATH=-L$(MYSQL_LIBS)

THREADLIBS= -lpthread -lcurses

CCLIB=$(ICLIBPATH) -lmysqlclient $(THREADLIBS)



CFLAGS=$(FLAGS)  -g 


OBJS = check_migration.o getError.o check_main.o 





$(OUTDIR)/CheckMigration: $(OBJS) $(MYSQL_LIBS)/libmysqlclient$(SO_EXT)



	g++ -o $(OUTDIR)/CheckMigration $(OBJS) $(CCLIB)







getError.o:getError.c $(IDIR)/getError.h 

	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.c



check_main.o:check_main.c  $(IDIR)/check_migration.h  

	$(CC) $(CFLAGS) $(INCL) -o check_main.o  -c check_main.c 



check_migration.o:check_migration.c $(IDIR)/check_migration.h 

	$(CC) $(CFLAGS)  $(INCL) -o check_migration.o  -c  check_migration.c



clean:

	-rm -f *.o

=== scripts/UpdateDomainName/src/Makefile ===
C=g++

UPDATE_ACL_HOME=/afs/cern.ch/user/l/labadie/LCG-DM/scripts/UpdateDomainName

IDIR=$(UPDATE_ACL_HOME)/include

MYSQL_HOME=/usr/include/mysql

INCL=-I$(IDIR) -I$(MYSQL_HOME)

SOURCE_FILE=$(UPDATE_ACL_HOME)/src

OUTDIR=$(UPDATE_ACL_HOME)/output

MYSQL_LIBS=/usr/lib

RANLIB = ranlib

SO_EXT=.so

MKLINK= ln -s



ICLIBPATH=-L$(MYSQL_LIBS)

THREADLIBS= -lpthread -lcurses

CCLIB=$(ICLIBPATH) -lmysqlclient $(THREADLIBS)



CFLAGS=$(FLAGS)  -g 


OBJS = update_domain_core.o getError.o update_main.o 





$(OUTDIR)/UpdateDomainNameForMySQL: $(OBJS) $(MYSQL_LIBS)/libmysqlclient$(SO_EXT)



	g++ -o $(OUTDIR)/UpdateDomainNameForMySQL $(OBJS) $(CCLIB)







getError.o:getError.cpp $(IDIR)/getError.h 

	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.cpp



update_main.o:update_main.cpp  $(IDIR)/update_domain_core.h  

	$(CC) $(CFLAGS) $(INCL) -o update_main.o  -c update_main.cpp  



update_domain_core.o:update_domain_core.cpp $(IDIR)/update_domain_core.h 

	$(CC) $(CFLAGS)  $(INCL) -o update_domain_core.o  -c  update_domain_core.cpp



clean:

	-rm -f *.o

=== debian/changelog ===
lcgdm (1.8.9-1build1) wily; urgency=medium

  * No change rebuild for new libgsoap7

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 18 May 2015 21:38:15 -0500

lcgdm (1.8.9-1) unstable; urgency=medium

  * Update to version 1.8.9
  * Add patch for dpm-listspaces and dav publishing from upstream
  * Ack NMU - thanks Gregor

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 10 Nov 2014 19:51:37 +0100

lcgdm (1.8.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use debian/*.install.in files for the perl packages which are expanded at
    build time, setting $Config{vendorarch} in debian/rules
    (Closes: #752704)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 18:22:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lcgdm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev, pkg-config
+Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
 XS-Python-Version: current
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
@@ -47,7 +47,8 @@
 Section: net
 Architecture: any
 Provides: lfc-client
-Replaces: lfc-client (<< 1.8.1.2-2~)
+Replaces: lfc-client (<< 1.8.1.2-2~), lfc-dli (<< 1.8.9)
+Breaks: lfc-dli (<< 1.8.9)
 Conflicts: lfc-client (<< 1.8.1.2-2~)
 Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: LCG File Catalog (LFC) client
@@ -262,6 +263,3 @@
  This package provides a DPM SRM server that uses MySQL as its
  database backend.
 
-Package: dpm-srm-server-postgres
-Section: net
-Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,9 @@
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
-
-VERSION=1.8.7
+_archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+
+VERSION=1.8.9
 
 configure: configure-stamp
 	:
@@ -248,5 +249,3 @@
 	cd dpm-postgres && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
 		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
-		SYSCONFDIR=$(_sysconfdir) \
-		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
